#include <bits/stdc++.h>
    using namespace std;
  
    
 


    int main(){
        long long n, m, p, q, b, br;
       ios_base::sync_with_stdio(false);
       cin.tie(NULL);   
        cin>>n>>m;
        long long a[n][2];
        for(int i=0; i<n; i++)
            cin>>a[i][0]>>a[i][1];
        for(int w = 0; w<m;w++){
            br = 0;
            cin>>p>>q>>b;
            for(int i =p-1; i <q; i++ ){
            if(b>=a[i][0]&& b<=a[i][1]) br++;
            }
            cout<<br<<endl;
        }
 


}